Are your Operators ready for the release of Kubernetes 1.22? It's a good idea to double-check because several APIs that have previously been marked as deprecated will be removed and are no longer available in 1.22. 

To help us discuss this change Rob Szumski, Senior Manager, Openshift Product Management, joins us to discuss the details and ensure we avoid removed API versions. We also take a look at the steps needed to upgrade to newer APIs because Operator projects using these API versions will not work on Kubernetes 1.22, or any cluster vendor using Kubernetes version 1.22, such as OpenShift 4.9+.

You can find the slides used during the stream here.

As always, please see the list below for additional links to specific topics, questions, and supporting materials for the episode!

If you’re interested in more streaming content, please subscribe to the Red Hat livestreaming calendar to see the upcoming episode topics and to receive any schedule changes. If you have questions or topic suggestions for the Ask an OpenShift Admin Office Hour, please contact us via Discord, Twitter, or come join us live, Wednesdays at 11am EDT / 1500 UTC, on YouTube and Twitch.

Episode 44 recorded stream:

Use this link to jump directly to where we start talking about today’s topic. 

This week’s top of mind topics:

Questions answered and topics discussed during the stream: